import request, { ExtraConfig } from '/@/utils/request';
/**
 * @description 获取执行器包含的指标名称列表
 * @param {FormData} params
 **/
export const getMetricNameListByPost = (
	params?,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/metrics/get_metrics_name_list`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});

/**
 * @description 获取指标执行器列表
 **/
export const getMetricAgentListByPost = (extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/metrics/get_metrics_agent_list`,
		method: 'post',
		params: {},
		data: {},

		...extraData,
	});

/**
 * @description 测试指标agent
 * @param {FormData} params
 **/
export const checkMetricAgentValidateByPost = (params, extraData: ExtraConfig = {}) =>
	request({
		url: `/admin/metrics/check_metrics_agent_validate`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
/**
 * @description 查询指标结果
 * @param {FormData} params
 **/
export const chatMetricsJsonByPost = (
	params,

	extraData: ExtraConfig = {}
) =>
	request({
		url: `/admin/metrics/chat_metrics_json`,
		method: 'post',
		params: {},
		data: params,

		...extraData,
	});
